% make double radial sin-pattern
%-------------------------------
[X,Y] = meshgrid(1:1:128);
im0 = 0.5 + 0.25 * sin(0.8 * sqrt(X.^2+Y.^2)) + ...
            0.25 * sin(3.2 * sqrt(X.^2+Y.^2));

IM0 = fftshift(fft2(ifftshift(im0)));
maxv = max(max(abs(IM0)));
nn = [0 1 0];
nn2D = nn'*nn;
im_nn = conv2(im0, nn2D, 'same');
im1 =  im_nn(1:2:end,1:2:end);
IM1 = fftshift(fft2(fftshift(im1)));

figure(1)
colormap(gray)
subplot(1,2,1), imagesc(im0, [0 1]);
axis image; title('original image');
subplot(1,2,2), imagesc(abs(IM0), [0 0.1*maxv]);
axis image; title('Fourier transform');

figure(2)
colormap(gray)
subplot(1,2,1), imagesc(im1, [0 1]);
axis image; title('downsampled, nearest');
subplot(1,2,2), imagesc(abs(IM1), [0 0.1*maxv/4]);
axis image; title('Fourier transform');
