load math_logo
im = math_logo;

[rows, cols] = size(im);	
cx = cols/2;
cy = rows/2;

[X1, Y1] = meshgrid(1:cols, 1:rows); % inimage grid
[X2, Y2] = meshgrid(1:cols, 1:rows); % outimage grid
phi = pi/5;

X1interp = cos(phi)*(X2-cx) - sin(phi)*(Y2-cy) + cx;
Y1interp = tan(phi)*(X2-cx) + cos(phi)*(Y2-cy) + cy;

X1interpback = cos(-phi)*(X2-cx) - sin(-phi)*(Y2-cy) + cx;
Y1interpback = tan(-phi)*(X2-cx) + cos(-phi)*(Y2-cy) + cy;

rotim = interp2(X1, Y1, im, X1interp, Y1interp, 'linear');
backrotim = interp2(X1, Y1, rotim, X1interpback, Y1interpback, 'linear');

figure(1); colormap gray;
subplot(221); imagesc(im); 
axis image; colorbar; title('orig im')
subplot(222); imagesc(rotim); 
axis image; colorbar; title('rotated im')
subplot(223); imagesc(backrotim); 
axis image; colorbar; title('backrotated im')

nansum(nansum((backrotim-im).*(backrotim-im)))
